Static Public Member Functions | Public Member Functions | Classes
com.ugrokit.api.UgiUiActivity Class Referenceabstract

## Static Public Member Functions
static void | finishToRootOrSpecificActivity (final Class activityClass, final Runnable completion)
| Finish activities until we are at the root activity or a specific activity. More...

## Public Member Functions
boolean | ugiShouldHandleRotation ()
boolean | ugiAllowRotationOnTablet ()
boolean | isActive ()
| See if the activity is active (resumed) More...
void | finish (Runnable completion)
| Finish the activity (close it) More...
void | inventoryStateChanged ()
| Notification that the inventory state has changed.
void | connectionStateChanged ()
| Notification that the connection state has changed.
UgiTitleView | getTitleView ()
| Get the title view. More...
UgiFooterView | getFooterView ()
| Get the footer view. More...
void | backButtonPressed ()
| Called when the back button is pressed.
void | goBack ()
| Go back to the previous screen (activity)
void | setReturnData (Object data)
| Set the return value for the activity (returned via startActivityWithTransition completion). More...
void | goBackWithData (Object data)
| Go back to the previous screen (activity), with data. More...
void | configureTitleViewNavigation ()
| Configure the navigation functionality in a title bar that has the defualt id.
void | configureTitleViewNavigation (UgiTitleView titleView)
| Configure the navigation functionality in a title bar. More...
void | startActivityWithTransition (Class activityClass)
| Start a new activity. More...
void | startActivityWithTransition (Class activityClass, Object data, StartActivityWithTransitionCompletion completion)
| Start a new activity. More...
void | startActivityWithoutTransition (Class activityClass, Object data, StartActivityWithTransitionCompletion completion)
| Start a new activity. More...
Object | getDataPassedIn ()
| Get data passed into the activity. More...
boolean | isDisplayDialogIfDisconnected ()
| Get whether to display the "disconnected .. please connect the Grokker" dialog if needed while running inventory. More...
void | setDisplayDialogIfDisconnected (boolean b)
| Set whether to display the "disconnected .. please connect the Grokker" dialog if needed while running inventory. More...
boolean | isDisplayDialogIfDisconnectedEvenIfNotRunningInventory ()
| Get whether to display the disconnected dialog anytime the Grokker is not connected, even if not running inventory. More...
void | setDisplayDialogIfDisconnectedEvenIfNotRunningInventory (boolean displayDialogIfDisconnectedEvenIfNotRunningInventory)
| Set whether to display the disconnected dialog anytime the Grokker is not connected, even if not running inventory. More...
void | disconnectedDialogCancelled ()
| Called if the user touches "cancel" in the disconnected dialog. More...
void | onPD67LeftButton ()
| Handle PD67 left button.
void | onPD67RightButton ()
| Handle PD67 right button.
int | getThemeColor ()
| Color for the activity, defaults to UgiUiUtil.themeColor. More...
void | setThemeColor (final int themeColor)
| Color for the activity, defaults to UgiUiUtil.themeColor. More...
int | getTextColorOnThemeColor ()
| Color for the activity, defaults to UgiUiUtil.textColorOnThemeColor. More...
void | setTextColorOnThemeColor (final int textColorOnThemeColor)
| Color for the activity, defaults to UgiUiUtil.textColorOnThemeColor. More...
int | getButtonColor ()
| Color for the activity, defaults to UgiUiUtil.buttonColor. More...
void | setButtonColor (final int buttonColor)
| Color for the activity, defaults to UgiUiUtil.buttonColor. More...
int | getButtonPressedColor ()
| Color for the activity, defaults to UgiUiUtil.buttonPressedColor. More...
void | setButtonPressedColor (final int buttonPressedColor)
| Color for the activity, defaults to UgiUiUtil.buttonPressedColor. More...
int | getTextColorOnBackground ()
| Color for the activity, defaults to UgiUiUtil.textColorOnBackground. More...
void | setTextColorOnBackground (final int textColorOnBackground)
| Color for the activity, defaults to UgiUiUtil.textColorOnBackground. More...

## Classes
interface | StartActivityWithTransitionCompletion
| Callback interface for startActivityWithTransition. More...

## Member Function Documentation

## ◆ ugiShouldHandleRotation()

boolean com.ugrokit.api.UgiUiActivity.ugiShouldHandleRotation | ( |  | ) |

Returns
  true if the U Grok It system should handle screen rotation false if the application wants to handle screen rotation

## ◆ ugiAllowRotationOnTablet()

boolean com.ugrokit.api.UgiUiActivity.ugiAllowRotationOnTablet | ( |  | ) |

Returns
  true if any screen rotation should be allowed on a tablet

## ◆ isActive()

boolean com.ugrokit.api.UgiUiActivity.isActive | ( |  | ) |

See if the activity is active (resumed)

Returns
  true if resumed

## ◆ finish()

void com.ugrokit.api.UgiUiActivity.finish | ( | Runnable | completion | ) |

Finish the activity (close it)

Parameters

  completion | Code to run when done

## ◆ finishToRootOrSpecificActivity()

static void com.ugrokit.api.UgiUiActivity.finishToRootOrSpecificActivity | ( | final Class | activityClass,
|  | final Runnable | completion
| ) |  |
| static

Finish activities until we are at the root activity or a specific activity.

Parameters

  activityClass | Specific activity to look for
  completion | Code to run when done

## ◆ getTitleView()

UgiTitleView com.ugrokit.api.UgiUiActivity.getTitleView | ( |  | ) |

Get the title view.

Returns
  title view

## ◆ getFooterView()

UgiFooterView com.ugrokit.api.UgiUiActivity.getFooterView | ( |  | ) |

Get the footer view.

Returns
  footer view

## ◆ setReturnData()

void com.ugrokit.api.UgiUiActivity.setReturnData | ( | Object | data | ) |

Set the return value for the activity (returned via startActivityWithTransition completion).

This is an alternative to using goBackWithData()

Parameters

  data | Data to return

## ◆ goBackWithData()

void com.ugrokit.api.UgiUiActivity.goBackWithData | ( | Object | data | ) |

Go back to the previous screen (activity), with data.

Parameters

  data | Data

## ◆ configureTitleViewNavigation()

void com.ugrokit.api.UgiUiActivity.configureTitleViewNavigation | ( | UgiTitleView | titleView | ) |

Configure the navigation functionality in a title bar.

Parameters

  titleView | Title view

## ◆ startActivityWithTransition() [1/2]

void com.ugrokit.api.UgiUiActivity.startActivityWithTransition | ( | Class | activityClass | ) |

Start a new activity.

Parameters

  activityClass | Activity to start

## ◆ startActivityWithTransition() [2/2]

void com.ugrokit.api.UgiUiActivity.startActivityWithTransition | ( | Class | activityClass,
|  | Object | data,
|  | StartActivityWithTransitionCompletion | completion
| ) |  |

Start a new activity.

Parameters

  activityClass | Activity to start
  data | Data to pass to activity
  completion | Code to run when activity completes

## ◆ startActivityWithoutTransition()

void com.ugrokit.api.UgiUiActivity.startActivityWithoutTransition | ( | Class | activityClass,
|  | Object | data,
|  | StartActivityWithTransitionCompletion | completion
| ) |  |

Start a new activity.

Parameters

  activityClass | Activity to start
  data | Data to pass to activity
  completion | Code to run when activity completes

## ◆ getDataPassedIn()

Object com.ugrokit.api.UgiUiActivity.getDataPassedIn | ( |  | ) |

Get data passed into the activity.

Returns
  object

## ◆ isDisplayDialogIfDisconnected()

boolean com.ugrokit.api.UgiUiActivity.isDisplayDialogIfDisconnected | ( |  | ) |

Get whether to display the "disconnected .. please connect the Grokker" dialog if needed while running inventory.

Returns
  true to display the disconnected dialog

## ◆ setDisplayDialogIfDisconnected()

void com.ugrokit.api.UgiUiActivity.setDisplayDialogIfDisconnected | ( | boolean | b | ) |

Set whether to display the "disconnected .. please connect the Grokker" dialog if needed while running inventory.

Parameters

  b | true to display the disconnected dialog

## ◆ isDisplayDialogIfDisconnectedEvenIfNotRunningInventory()

boolean com.ugrokit.api.UgiUiActivity.isDisplayDialogIfDisconnectedEvenIfNotRunningInventory | ( |  | ) |

Get whether to display the disconnected dialog anytime the Grokker is not connected, even if not running inventory.

Returns
  true to display the disconnected dialog even if not running inventory

## ◆ setDisplayDialogIfDisconnectedEvenIfNotRunningInventory()

void com.ugrokit.api.UgiUiActivity.setDisplayDialogIfDisconnectedEvenIfNotRunningInventory | ( | boolean | displayDialogIfDisconnectedEvenIfNotRunningInventory | ) |

Set whether to display the disconnected dialog anytime the Grokker is not connected, even if not running inventory.

Parameters

  displayDialogIfDisconnectedEvenIfNotRunningInventory | true to display the disconnected dialog even if not running inventory

## ◆ disconnectedDialogCancelled()

void com.ugrokit.api.UgiUiActivity.disconnectedDialogCancelled | ( |  | ) |

Called if the user touches "cancel" in the disconnected dialog.

Normally this is subclassed to stop inventory

## ◆ getThemeColor()

int com.ugrokit.api.UgiUiActivity.getThemeColor | ( |  | ) |

Color for the activity, defaults to UgiUiUtil.themeColor.

Returns
  theme color

## ◆ setThemeColor()

void com.ugrokit.api.UgiUiActivity.setThemeColor | ( | final int | themeColor | ) |

Color for the activity, defaults to UgiUiUtil.themeColor.

Parameters

  themeColor | new theme color

## ◆ getTextColorOnThemeColor()

int com.ugrokit.api.UgiUiActivity.getTextColorOnThemeColor | ( |  | ) |

Color for the activity, defaults to UgiUiUtil.textColorOnThemeColor.

Returns
  text color on theme color

## ◆ setTextColorOnThemeColor()

void com.ugrokit.api.UgiUiActivity.setTextColorOnThemeColor | ( | final int | textColorOnThemeColor | ) |

Color for the activity, defaults to UgiUiUtil.textColorOnThemeColor.

Parameters

  textColorOnThemeColor | new text color on theme color

## ◆ getButtonColor()

int com.ugrokit.api.UgiUiActivity.getButtonColor | ( |  | ) |

Color for the activity, defaults to UgiUiUtil.buttonColor.

Returns
  button color

## ◆ setButtonColor()

void com.ugrokit.api.UgiUiActivity.setButtonColor | ( | final int | buttonColor | ) |

Color for the activity, defaults to UgiUiUtil.buttonColor.

Parameters

  buttonColor | new button color

## ◆ getButtonPressedColor()

int com.ugrokit.api.UgiUiActivity.getButtonPressedColor | ( |  | ) |

Color for the activity, defaults to UgiUiUtil.buttonPressedColor.

Returns
  button pressed color

## ◆ setButtonPressedColor()

void com.ugrokit.api.UgiUiActivity.setButtonPressedColor | ( | final int | buttonPressedColor | ) |

Color for the activity, defaults to UgiUiUtil.buttonPressedColor.

Parameters

  buttonPressedColor | new button pressed

## ◆ getTextColorOnBackground()

int com.ugrokit.api.UgiUiActivity.getTextColorOnBackground | ( |  | ) |

Color for the activity, defaults to UgiUiUtil.textColorOnBackground.

Returns
  text color

## ◆ setTextColorOnBackground()

void com.ugrokit.api.UgiUiActivity.setTextColorOnBackground | ( | final int | textColorOnBackground | ) |

Color for the activity, defaults to UgiUiUtil.textColorOnBackground.

Parameters

  textColorOnBackground | new text color